/**
 * 
 */
package kr.co.kihyun.beans.entity;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author bhs
 * 
 */

public enum AccessAuth {
	PER("개인"), DEPT("부서"), PART("기관"), ALL("전체");

	private final String name;
        private static final Logger LOG = LoggerFactory.getLogger(AccessAuth.class);

	private AccessAuth(String authName) {
		this.name = authName;
	}

      //v2. 5.static final 필드 변조 가능성 : Update by KWON,HAN 
      //private는 같은 클래스 내에서만 호출이 가능하므로 접근제한이 없는 public으로 하고 final을 사용하지 않는다
      //public static final AccessAuth asAccessAuth(int authNum) {
	public static AccessAuth asAccessAuth(int authNum) {
            //LOG.debug("v2. 5.static final 필드 변조 가능성 : AccessAuth.asAccessAuth() Test OK {}", values()[authNum]);
		return values()[authNum];
	}
      //==========================================================
        
	@Override
	public String toString() {
		return name;
	}
}
